<?php

namespace Modules\Main\Traits;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Relations\MorphMany;
use Illuminate\Database\Eloquent\Relations\MorphOne;
use Modules\Main\Models\CityAppend;

trait CityAppendTrait
{
    public function cities(): MorphMany
    {
        return $this->MorphMany(CityAppend::class, 'append');
    }

    public function byCity(Builder $query, $cityId)
    {
        //return $query->where('category', $category);
    }
}


